/*
   Copyright (c) 2008 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/



#ifndef _NEPOMUK_NEPOID_H_
#define _NEPOMUK_NEPOID_H_

//#include <Plasma/Applet>
#include <QtGui/QWidget>

class QTabBar;
class QListView;
class QModelIndex;

namespace Nepomuk {
    class Resource;
    class SimpleResourceModel;
}

//class Nepoid : public Plasma::Applet
class Nepoid : public QWidget
{
    Q_OBJECT
    
public:
//    Nepoid( QObject* parent, const QVariantList& args );
    Nepoid( QWidget* parent = 0 );
    ~Nepoid();
    
public Q_SLOTS:
    void init();
    
private Q_SLOTS:
    void slotTabChanged( int index );
    void slotItemActivated( const QModelIndex& index );
    
private:
    QTabBar* m_tabBar;
    QListView* m_listView;
    Nepomuk::SimpleResourceModel* m_model;
};

namespace Nepomuk {
uint qHash( const Nepomuk::Resource& );
}

//K_EXPORT_PLASMA_APPLET(nepoid, Nepoid)

#endif
