#include <QtGui>
#include <KApplication>
#include <KCmdLineArgs>
#include <KAboutData>
#include <kguiitem.h>
#include <kpushbutton.h>

#include "peopletagwidget.h"


int main(int argc, char **argv)
{
	KAboutData aboutData("kpeopletag",
                         0,
                         ki18n("Nepomuk-PeopleTag"),
                         "0.1",
                         ki18n("Tag people on pictures"),
                         KAboutData::License_GPL,
                         ki18n("Adrien Bustany"),
                         KLocalizedString());
	aboutData.setProgramIconName("nepomuk");
	KCmdLineArgs::init(argc, argv, &aboutData);

	KCmdLineOptions options;
	options.add("+file", ki18n("The file to tag"));
	KCmdLineArgs::addCmdLineOptions(options);

	KApplication app;

	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

	QMainWindow mainWindow;
	QWidget centralWidget;
	Nepomuk::PeopleTagWidget w;
	QVBoxLayout mainLayout;
	QHBoxLayout buttonsLayout;

	buttonsLayout.addSpacing(1);
	KPushButton *saveButton = new KPushButton(KStandardGuiItem::save());
	buttonsLayout.addWidget(saveButton);
	QObject::connect(saveButton, SIGNAL(clicked()), &w, SLOT(save()));

	mainLayout.addWidget(&w);
	mainLayout.addLayout(&buttonsLayout, 0);
	centralWidget.setLayout(&mainLayout);

	mainWindow.setCentralWidget(&centralWidget);

	w.loadPicture(args->arg(0));
	mainWindow.show();

	return app.exec();
}
