/*
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2008 Adrien Bustany <madcat@mymadcat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef NEPOMUKRUNNER_H
#define NEPOMUKRUNNER_H

#include <QtCore>
#include <Plasma/AbstractRunner>

namespace Nepomuk {
	class SyncAnnotationPlugin;
}

class NepomukRunner : public Plasma::AbstractRunner
{
	Q_OBJECT

public:
	NepomukRunner(QObject* parent, const QVariantList& args);
	NepomukRunner(QObject* parent, const QString& serviceId = QString());
	~NepomukRunner();

	void createRunOptions(QWidget* widget);
	bool hasRunOptions();
	void match(Plasma::RunnerContext& context);
	void performMatch(Plasma::RunnerContext& context);
	void run(const Plasma::RunnerContext& context, const Plasma::QueryMatch& action);

private:
	class Private;
	Private *d;
};

K_EXPORT_PLASMA_RUNNER(nepomukrunner, NepomukRunner)

#endif
