/*
   Copyright (C) 2008 by Sebastian Trueg <trueg at kde.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef _NSQ_CLIENT_MAIN_WINDOW_H_
#define _NSQ_CLIENT_MAIN_WINDOW_H_

#include <QtGui/QWidget>

class QListView;
class KLineEdit;
class KCompletion;
class QModelIndex;
class QUrl;
namespace Nepomuk {
    class SocialQueryClientModel;
    class SearchHitView;
    namespace Search {
        class SearchCore;
    }
}
namespace Soprano {
    class Model;
}

class MainWindow : public QWidget
{
    Q_OBJECT

public:
    MainWindow();
    ~MainWindow();

private Q_SLOTS:
    void slotItemActivated( const QModelIndex& index );
    void slotContextMenu( const QPoint& pos );

private:
    /**
     * Import \p res from the current remote model m_lastRemoteQueryModel
     */
    void importResource( const QUrl& res );

    QListView* m_buddyView;
    Nepomuk::SearchHitView* m_resultsView;

    Nepomuk::SocialQueryClientModel* m_buddyModel;
    Nepomuk::Search::SearchCore* m_searchCore;

    Soprano::Model* m_lastRemoteQueryModel;
};

#endif
