/*
   Copyright (C) 2008 by Sebastian Trueg <trueg at kde.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef _NEPOMUK_SOCIAL_QUERY_CLIENT_MODEL_H_
#define _NEPOMUK_SOCIAL_QUERY_CLIENT_MODEL_H_

#include <QtCore/QAbstractItemModel>

namespace Nepomuk {
    class SocialQueryClientModel : public QAbstractItemModel
    {
        Q_OBJECT

    public:
        SocialQueryClientModel( QObject* parent );
        ~SocialQueryClientModel();

        enum Roles {
            NSQServiceRole = 5000,
            NSQNameRole = 5001,
            NSQModelRole = 5002 /**< Will create a new Soprano::Model. The caller needs to take care of deleting it. */
        };

        int columnCount( const QModelIndex& parent = QModelIndex() ) const; 
        QVariant data( const QModelIndex& index, int role = Qt::DisplayRole ) const;
        QModelIndex index( int row, int column, const QModelIndex& parent = QModelIndex() ) const;
        QModelIndex parent( const QModelIndex& index ) const;
        int rowCount( const QModelIndex& parent = QModelIndex() ) const;

    private:
        class Private;
        Private* const d;

        Q_PRIVATE_SLOT( d, void _k_serviceAdded( DNSSD::RemoteService::Ptr ) )
        Q_PRIVATE_SLOT( d, void _k_serviceRemoved( DNSSD::RemoteService::Ptr ) )
    };
}

#endif
