/*
   Copyright (C) 2008 by Sebastian Trueg <trueg at kde.org>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef _SOPRANO_FORWARDING_CORE_H_
#define _SOPRANO_FORWARDING_CORE_H_

#include <Soprano/Server/ServerCore>

#include <QtCore/QMap>

namespace Soprano {
    class Model;
}

/**
 * Simply forwards all core calls to the NepomukServer.
 */
class SopranoForwardingCore : public Soprano::Server::ServerCore
{
    Q_OBJECT

public:
    SopranoForwardingCore( Soprano::Model* mainModel, QObject* parent );
    ~SopranoForwardingCore();

    Soprano::Model* model( const QString& name );
    void removeModel( const QString& name );
    QStringList allModels() const;

private:
    QMap<QString, Soprano::Model*> m_models;
    Soprano::Model* m_personalDataModel;
};

#endif
