/*
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2008 Adrien Bustany <madcat@mymadcat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef PICTUREFRAME_H
#define PICTUREFRAME_H

#include <QtGui>
#include "marquee.h"

namespace Nepomuk {

class FancyRect;

class PictureFrame : public QObject, public QGraphicsPixmapItem
{

	Q_OBJECT

public:
	PictureFrame(QObject *parent = 0);

signals:
	void newMarquee(Marquee*);

public slots:
	void loadPicture(const QString &path);

private:
	FancyRect*	m_currentRect;
	qreal		m_x1;
	qreal		m_x2;
	qreal		m_y1;
	qreal		m_y2;
	bool		m_drawing;
	QPen		m_rectPen;

protected:
	void mousePressEvent(QGraphicsSceneMouseEvent *e);
	void mouseMoveEvent(QGraphicsSceneMouseEvent *e);
	void mouseReleaseEvent(QGraphicsSceneMouseEvent *e);
};

} // End namespace Nepomuk

#endif
