/*
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2008 Adrien Bustany <madcat@mymadcat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef ITEM_H
#define ITEM_H

#include <QtCore>
#include <QtCore/QString>
#include <QtCore/QList>

namespace Nepomuk {

struct Item
{
	Item(QString _id = QString(), QString _name = QString(), Item *_parent = 0) {
		id = _id;
		name = _name;
		parent = _parent;
	}
	QString id, name;
	QList<Item*> children;
	Item *parent;
};

bool operator==(const Item &i1, const Item &i2);

inline uint qHash(const Item &i)
{
	QString id = i.id;
	return qHash(id);
}

} // End namespace Nepomuk
#endif
