/*
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2008 Adrien Bustany <madcat@mymadcat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef PEOPLEMODEL_H
#define PEOPLEMODEL_H

#include <QtCore/QAbstractItemModel>
#include <QtGui/QItemSelectionModel>

#include "nepomukproxy.h"
#include "item.h"

namespace Nepomuk {

class PeopleModel : public QAbstractItemModel
{
	Q_OBJECT

public:
				PeopleModel(QObject *parent = 0);
				~PeopleModel();

	// Model functions
	QVariant	data(const QModelIndex &index, int role = Qt::DisplayRole) const;
	int			rowCount(const QModelIndex &parent = QModelIndex()) const;
	int			columnCount(const QModelIndex &parent = QModelIndex()) const;
	QModelIndex	index(int row, int column, const QModelIndex &parent = QModelIndex()) const;
	QModelIndex	parent(const QModelIndex &index) const;
	QVariant	headerData(int section, Qt::Orientation orientation, int role = Qt::DisplayRole) const;

public Q_SLOTS:
	void reloadData();

signals:
	void beginReload();
	void endReload();

private Q_SLOTS:
	void setPeople(QList<Soprano::BindingSet> results); // Callback for the async sparql query

private:
	void			clearModel();
	Item*			m_root; // invisible root item
	NepomukProxy*	m_nepomuk;
};

} // End namespace Nepomuk

#endif
