/*
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2008 Adrien Bustany <madcat@mymadcat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef FILTERMODEL_H
#define FILTERMODEL_H

#include <QtGui/QSortFilterProxyModel>
#include <QtCore/QAbstractItemModel>

namespace Nepomuk {

class LinkedPeopleModel;

class FilterModel : public QSortFilterProxyModel
{
	Q_OBJECT
	
public:
			FilterModel(QObject *parent = 0);
	// The "mask" model is used to hide certain items (items in that model will be filtered out)
	void	setMaskModel(LinkedPeopleModel *mask);

protected:
	bool filterAcceptsRow(int sourceRow, const QModelIndex &sourceParent) const;

private Q_SLOTS:
	void resetModel();

private:
	LinkedPeopleModel*	m_maskModel;
};

} // End namespace Nepomuk

#endif
