/*
 * This file is part of the Nepomuk KDE project.
 * Copyright (C) 2008 Adrien Bustany <madcat@mymadcat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef OTHERPERSONDIALOG_H
#define OTHERPERSONDIALOG_H

#include <QtGui>

#include "item.h"
#include "nepomukproxy.h"

#include "ui_otherpersondialog.h"

namespace Nepomuk {



class PeopleModel;

/**
 * \class OtherPersonDialog otherpersondialog.h OtherPersonDialog
 *
 * \brief Dialog invoked by the "Add another person" button.
 *
 * This widget allows to create user and groups.
 *
 * \author Adrien Bustany <madcat@mymadcat.com>
 */

class OtherPersonDialog : public QDialog, private Ui::OtherPersonDialog
{

	Q_OBJECT

public:
	OtherPersonDialog(QWidget *parent = 0);

private Q_SLOTS:
	void groupList(const QList<Soprano::BindingSet>& bindings);
	void resetDialog();
	void addPerson();
	void queryFinished();

private:
	char			m_completion; // Used to count the callbacks from finished queries == # of operation to do
	NepomukProxy*	m_nepomuk;
	
};

} // End namespace Nepomuk

#endif
