/*
 * This file is part of Soprano Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "nco.h"

class NcoPrivate
{
public:
    NcoPrivate()
        : nco_namespace( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#" ),
          nco_Affiliation( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#Affiliation" ),
          nco_AudioIMAccount( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#AudioIMAccount" ),
          nco_BbsNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#BbsNumber" ),
          nco_CarPhoneNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#CarPhoneNumber" ),
          nco_CellPhoneNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#CellPhoneNumber" ),
          nco_Contact( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#Contact" ),
          nco_ContactGroup( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#ContactGroup" ),
          nco_ContactList( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#ContactList" ),
          nco_ContactListDataObject( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#ContactListDataObject" ),
          nco_ContactMedium( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#ContactMedium" ),
          nco_DomesticDeliveryAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#DomesticDeliveryAddress" ),
          nco_EmailAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#EmailAddress" ),
          nco_FaxNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#FaxNumber" ),
          nco_Gender( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#Gender" ),
          nco_IMAccount( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#IMAccount" ),
          nco_InternationalDeliveryAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#InternationalDeliveryAddress" ),
          nco_IsdnNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#IsdnNumber" ),
          nco_MessagingNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#MessagingNumber" ),
          nco_ModemNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#ModemNumber" ),
          nco_OrganizationContact( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#OrganizationContact" ),
          nco_PagerNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#PagerNumber" ),
          nco_ParcelDeliveryAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#ParcelDeliveryAddress" ),
          nco_PcsNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#PcsNumber" ),
          nco_PersonContact( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#PersonContact" ),
          nco_PhoneNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#PhoneNumber" ),
          nco_PostalAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#PostalAddress" ),
          nco_Role( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#Role" ),
          nco_VideoIMAccount( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#VideoIMAccount" ),
          nco_VideoTelephoneNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#VideoTelephoneNumber" ),
          nco_VoicePhoneNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#VoicePhoneNumber" ),
          nco_addressLocation( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#addressLocation" ),
          nco_belongsToGroup( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#belongsToGroup" ),
          nco_birthDate( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#birthDate" ),
          nco_blogUrl( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#blogUrl" ),
          nco_contactGroupName( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#contactGroupName" ),
          nco_contactMediumComment( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#contactMediumComment" ),
          nco_contactUID( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#contactUID" ),
          nco_containsContact( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#containsContact" ),
          nco_contributor( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#contributor" ),
          nco_country( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#country" ),
          nco_creator( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#creator" ),
          nco_department( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#department" ),
          nco_emailAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#emailAddress" ),
          nco_extendedAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#extendedAddress" ),
          nco_foafUrl( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#foafUrl" ),
          nco_fullname( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#fullname" ),
          nco_gender( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#gender" ),
          nco_hasAffiliation( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#hasAffiliation" ),
          nco_hasContactMedium( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#hasContactMedium" ),
          nco_hasEmailAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#hasEmailAddress" ),
          nco_hasIMAccount( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#hasIMAccount" ),
          nco_hasLocation( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#hasLocation" ),
          nco_hasPhoneNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#hasPhoneNumber" ),
          nco_hasPostalAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#hasPostalAddress" ),
          nco_hobby( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#hobby" ),
          nco_imAccountType( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#imAccountType" ),
          nco_imID( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#imID" ),
          nco_imNickname( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#imNickname" ),
          nco_imStatus( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#imStatus" ),
          nco_imStatusMessage( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#imStatusMessage" ),
          nco_key( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#key" ),
          nco_locality( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#locality" ),
          nco_logo( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#logo" ),
          nco_nameAdditional( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#nameAdditional" ),
          nco_nameFamily( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#nameFamily" ),
          nco_nameGiven( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#nameGiven" ),
          nco_nameHonorificPrefix( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#nameHonorificPrefix" ),
          nco_nameHonorificSuffix( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#nameHonorificSuffix" ),
          nco_nickname( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#nickname" ),
          nco_note( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#note" ),
          nco_org( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#org" ),
          nco_phoneNumber( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#phoneNumber" ),
          nco_photo( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#photo" ),
          nco_pobox( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#pobox" ),
          nco_postalcode( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#postalcode" ),
          nco_publisher( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#publisher" ),
          nco_region( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#region" ),
          nco_representative( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#representative" ),
          nco_role( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#role" ),
          nco_sound( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#sound" ),
          nco_streetAddress( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#streetAddress" ),
          nco_title( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#title" ),
          nco_url( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#url" ),
          nco_voiceMail( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#voiceMail" ),
          nco_websiteUrl( "http://www.semanticdesktop.org/ontologies/2007/03/22/nco#websiteUrl" ) {
    }

    QUrl nco_namespace;
    QUrl nco_Affiliation;
    QUrl nco_AudioIMAccount;
    QUrl nco_BbsNumber;
    QUrl nco_CarPhoneNumber;
    QUrl nco_CellPhoneNumber;
    QUrl nco_Contact;
    QUrl nco_ContactGroup;
    QUrl nco_ContactList;
    QUrl nco_ContactListDataObject;
    QUrl nco_ContactMedium;
    QUrl nco_DomesticDeliveryAddress;
    QUrl nco_EmailAddress;
    QUrl nco_FaxNumber;
    QUrl nco_Gender;
    QUrl nco_IMAccount;
    QUrl nco_InternationalDeliveryAddress;
    QUrl nco_IsdnNumber;
    QUrl nco_MessagingNumber;
    QUrl nco_ModemNumber;
    QUrl nco_OrganizationContact;
    QUrl nco_PagerNumber;
    QUrl nco_ParcelDeliveryAddress;
    QUrl nco_PcsNumber;
    QUrl nco_PersonContact;
    QUrl nco_PhoneNumber;
    QUrl nco_PostalAddress;
    QUrl nco_Role;
    QUrl nco_VideoIMAccount;
    QUrl nco_VideoTelephoneNumber;
    QUrl nco_VoicePhoneNumber;
    QUrl nco_addressLocation;
    QUrl nco_belongsToGroup;
    QUrl nco_birthDate;
    QUrl nco_blogUrl;
    QUrl nco_contactGroupName;
    QUrl nco_contactMediumComment;
    QUrl nco_contactUID;
    QUrl nco_containsContact;
    QUrl nco_contributor;
    QUrl nco_country;
    QUrl nco_creator;
    QUrl nco_department;
    QUrl nco_emailAddress;
    QUrl nco_extendedAddress;
    QUrl nco_foafUrl;
    QUrl nco_fullname;
    QUrl nco_gender;
    QUrl nco_hasAffiliation;
    QUrl nco_hasContactMedium;
    QUrl nco_hasEmailAddress;
    QUrl nco_hasIMAccount;
    QUrl nco_hasLocation;
    QUrl nco_hasPhoneNumber;
    QUrl nco_hasPostalAddress;
    QUrl nco_hobby;
    QUrl nco_imAccountType;
    QUrl nco_imID;
    QUrl nco_imNickname;
    QUrl nco_imStatus;
    QUrl nco_imStatusMessage;
    QUrl nco_key;
    QUrl nco_locality;
    QUrl nco_logo;
    QUrl nco_nameAdditional;
    QUrl nco_nameFamily;
    QUrl nco_nameGiven;
    QUrl nco_nameHonorificPrefix;
    QUrl nco_nameHonorificSuffix;
    QUrl nco_nickname;
    QUrl nco_note;
    QUrl nco_org;
    QUrl nco_phoneNumber;
    QUrl nco_photo;
    QUrl nco_pobox;
    QUrl nco_postalcode;
    QUrl nco_publisher;
    QUrl nco_region;
    QUrl nco_representative;
    QUrl nco_role;
    QUrl nco_sound;
    QUrl nco_streetAddress;
    QUrl nco_title;
    QUrl nco_url;
    QUrl nco_voiceMail;
    QUrl nco_websiteUrl;
};

Q_GLOBAL_STATIC( NcoPrivate, s_nco )

QUrl Nepomuk::Vocabulary::NCO::ncoNamespace()
{
    return s_nco()->nco_namespace;
}

QUrl Nepomuk::Vocabulary::NCO::Affiliation()
{
    return s_nco()->nco_Affiliation;
}

QUrl Nepomuk::Vocabulary::NCO::AudioIMAccount()
{
    return s_nco()->nco_AudioIMAccount;
}

QUrl Nepomuk::Vocabulary::NCO::BbsNumber()
{
    return s_nco()->nco_BbsNumber;
}

QUrl Nepomuk::Vocabulary::NCO::CarPhoneNumber()
{
    return s_nco()->nco_CarPhoneNumber;
}

QUrl Nepomuk::Vocabulary::NCO::CellPhoneNumber()
{
    return s_nco()->nco_CellPhoneNumber;
}

QUrl Nepomuk::Vocabulary::NCO::Contact()
{
    return s_nco()->nco_Contact;
}

QUrl Nepomuk::Vocabulary::NCO::ContactGroup()
{
    return s_nco()->nco_ContactGroup;
}

QUrl Nepomuk::Vocabulary::NCO::ContactList()
{
    return s_nco()->nco_ContactList;
}

QUrl Nepomuk::Vocabulary::NCO::ContactListDataObject()
{
    return s_nco()->nco_ContactListDataObject;
}

QUrl Nepomuk::Vocabulary::NCO::ContactMedium()
{
    return s_nco()->nco_ContactMedium;
}

QUrl Nepomuk::Vocabulary::NCO::DomesticDeliveryAddress()
{
    return s_nco()->nco_DomesticDeliveryAddress;
}

QUrl Nepomuk::Vocabulary::NCO::EmailAddress()
{
    return s_nco()->nco_EmailAddress;
}

QUrl Nepomuk::Vocabulary::NCO::FaxNumber()
{
    return s_nco()->nco_FaxNumber;
}

QUrl Nepomuk::Vocabulary::NCO::Gender()
{
    return s_nco()->nco_Gender;
}

QUrl Nepomuk::Vocabulary::NCO::IMAccount()
{
    return s_nco()->nco_IMAccount;
}

QUrl Nepomuk::Vocabulary::NCO::InternationalDeliveryAddress()
{
    return s_nco()->nco_InternationalDeliveryAddress;
}

QUrl Nepomuk::Vocabulary::NCO::IsdnNumber()
{
    return s_nco()->nco_IsdnNumber;
}

QUrl Nepomuk::Vocabulary::NCO::MessagingNumber()
{
    return s_nco()->nco_MessagingNumber;
}

QUrl Nepomuk::Vocabulary::NCO::ModemNumber()
{
    return s_nco()->nco_ModemNumber;
}

QUrl Nepomuk::Vocabulary::NCO::OrganizationContact()
{
    return s_nco()->nco_OrganizationContact;
}

QUrl Nepomuk::Vocabulary::NCO::PagerNumber()
{
    return s_nco()->nco_PagerNumber;
}

QUrl Nepomuk::Vocabulary::NCO::ParcelDeliveryAddress()
{
    return s_nco()->nco_ParcelDeliveryAddress;
}

QUrl Nepomuk::Vocabulary::NCO::PcsNumber()
{
    return s_nco()->nco_PcsNumber;
}

QUrl Nepomuk::Vocabulary::NCO::PersonContact()
{
    return s_nco()->nco_PersonContact;
}

QUrl Nepomuk::Vocabulary::NCO::PhoneNumber()
{
    return s_nco()->nco_PhoneNumber;
}

QUrl Nepomuk::Vocabulary::NCO::PostalAddress()
{
    return s_nco()->nco_PostalAddress;
}

QUrl Nepomuk::Vocabulary::NCO::Role()
{
    return s_nco()->nco_Role;
}

QUrl Nepomuk::Vocabulary::NCO::VideoIMAccount()
{
    return s_nco()->nco_VideoIMAccount;
}

QUrl Nepomuk::Vocabulary::NCO::VideoTelephoneNumber()
{
    return s_nco()->nco_VideoTelephoneNumber;
}

QUrl Nepomuk::Vocabulary::NCO::VoicePhoneNumber()
{
    return s_nco()->nco_VoicePhoneNumber;
}

QUrl Nepomuk::Vocabulary::NCO::addressLocation()
{
    return s_nco()->nco_addressLocation;
}

QUrl Nepomuk::Vocabulary::NCO::belongsToGroup()
{
    return s_nco()->nco_belongsToGroup;
}

QUrl Nepomuk::Vocabulary::NCO::birthDate()
{
    return s_nco()->nco_birthDate;
}

QUrl Nepomuk::Vocabulary::NCO::blogUrl()
{
    return s_nco()->nco_blogUrl;
}

QUrl Nepomuk::Vocabulary::NCO::contactGroupName()
{
    return s_nco()->nco_contactGroupName;
}

QUrl Nepomuk::Vocabulary::NCO::contactMediumComment()
{
    return s_nco()->nco_contactMediumComment;
}

QUrl Nepomuk::Vocabulary::NCO::contactUID()
{
    return s_nco()->nco_contactUID;
}

QUrl Nepomuk::Vocabulary::NCO::containsContact()
{
    return s_nco()->nco_containsContact;
}

QUrl Nepomuk::Vocabulary::NCO::contributor()
{
    return s_nco()->nco_contributor;
}

QUrl Nepomuk::Vocabulary::NCO::country()
{
    return s_nco()->nco_country;
}

QUrl Nepomuk::Vocabulary::NCO::creator()
{
    return s_nco()->nco_creator;
}

QUrl Nepomuk::Vocabulary::NCO::department()
{
    return s_nco()->nco_department;
}

QUrl Nepomuk::Vocabulary::NCO::emailAddress()
{
    return s_nco()->nco_emailAddress;
}

QUrl Nepomuk::Vocabulary::NCO::extendedAddress()
{
    return s_nco()->nco_extendedAddress;
}

QUrl Nepomuk::Vocabulary::NCO::foafUrl()
{
    return s_nco()->nco_foafUrl;
}

QUrl Nepomuk::Vocabulary::NCO::fullname()
{
    return s_nco()->nco_fullname;
}

QUrl Nepomuk::Vocabulary::NCO::gender()
{
    return s_nco()->nco_gender;
}

QUrl Nepomuk::Vocabulary::NCO::hasAffiliation()
{
    return s_nco()->nco_hasAffiliation;
}

QUrl Nepomuk::Vocabulary::NCO::hasContactMedium()
{
    return s_nco()->nco_hasContactMedium;
}

QUrl Nepomuk::Vocabulary::NCO::hasEmailAddress()
{
    return s_nco()->nco_hasEmailAddress;
}

QUrl Nepomuk::Vocabulary::NCO::hasIMAccount()
{
    return s_nco()->nco_hasIMAccount;
}

QUrl Nepomuk::Vocabulary::NCO::hasLocation()
{
    return s_nco()->nco_hasLocation;
}

QUrl Nepomuk::Vocabulary::NCO::hasPhoneNumber()
{
    return s_nco()->nco_hasPhoneNumber;
}

QUrl Nepomuk::Vocabulary::NCO::hasPostalAddress()
{
    return s_nco()->nco_hasPostalAddress;
}

QUrl Nepomuk::Vocabulary::NCO::hobby()
{
    return s_nco()->nco_hobby;
}

QUrl Nepomuk::Vocabulary::NCO::imAccountType()
{
    return s_nco()->nco_imAccountType;
}

QUrl Nepomuk::Vocabulary::NCO::imID()
{
    return s_nco()->nco_imID;
}

QUrl Nepomuk::Vocabulary::NCO::imNickname()
{
    return s_nco()->nco_imNickname;
}

QUrl Nepomuk::Vocabulary::NCO::imStatus()
{
    return s_nco()->nco_imStatus;
}

QUrl Nepomuk::Vocabulary::NCO::imStatusMessage()
{
    return s_nco()->nco_imStatusMessage;
}

QUrl Nepomuk::Vocabulary::NCO::key()
{
    return s_nco()->nco_key;
}

QUrl Nepomuk::Vocabulary::NCO::locality()
{
    return s_nco()->nco_locality;
}

QUrl Nepomuk::Vocabulary::NCO::logo()
{
    return s_nco()->nco_logo;
}

QUrl Nepomuk::Vocabulary::NCO::nameAdditional()
{
    return s_nco()->nco_nameAdditional;
}

QUrl Nepomuk::Vocabulary::NCO::nameFamily()
{
    return s_nco()->nco_nameFamily;
}

QUrl Nepomuk::Vocabulary::NCO::nameGiven()
{
    return s_nco()->nco_nameGiven;
}

QUrl Nepomuk::Vocabulary::NCO::nameHonorificPrefix()
{
    return s_nco()->nco_nameHonorificPrefix;
}

QUrl Nepomuk::Vocabulary::NCO::nameHonorificSuffix()
{
    return s_nco()->nco_nameHonorificSuffix;
}

QUrl Nepomuk::Vocabulary::NCO::nickname()
{
    return s_nco()->nco_nickname;
}

QUrl Nepomuk::Vocabulary::NCO::note()
{
    return s_nco()->nco_note;
}

QUrl Nepomuk::Vocabulary::NCO::org()
{
    return s_nco()->nco_org;
}

QUrl Nepomuk::Vocabulary::NCO::phoneNumber()
{
    return s_nco()->nco_phoneNumber;
}

QUrl Nepomuk::Vocabulary::NCO::photo()
{
    return s_nco()->nco_photo;
}

QUrl Nepomuk::Vocabulary::NCO::pobox()
{
    return s_nco()->nco_pobox;
}

QUrl Nepomuk::Vocabulary::NCO::postalcode()
{
    return s_nco()->nco_postalcode;
}

QUrl Nepomuk::Vocabulary::NCO::publisher()
{
    return s_nco()->nco_publisher;
}

QUrl Nepomuk::Vocabulary::NCO::region()
{
    return s_nco()->nco_region;
}

QUrl Nepomuk::Vocabulary::NCO::representative()
{
    return s_nco()->nco_representative;
}

QUrl Nepomuk::Vocabulary::NCO::role()
{
    return s_nco()->nco_role;
}

QUrl Nepomuk::Vocabulary::NCO::sound()
{
    return s_nco()->nco_sound;
}

QUrl Nepomuk::Vocabulary::NCO::streetAddress()
{
    return s_nco()->nco_streetAddress;
}

QUrl Nepomuk::Vocabulary::NCO::title()
{
    return s_nco()->nco_title;
}

QUrl Nepomuk::Vocabulary::NCO::url()
{
    return s_nco()->nco_url;
}

QUrl Nepomuk::Vocabulary::NCO::voiceMail()
{
    return s_nco()->nco_voiceMail;
}

QUrl Nepomuk::Vocabulary::NCO::websiteUrl()
{
    return s_nco()->nco_websiteUrl;
}
