/*
   This file is part of the Nepomuk KDE project.
   Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License version 2 as published by the Free Software Foundation.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
 */

#ifndef _NEPOMUK_BIBTEX_RESOURCE_GUI_ITEM_H_
#define _NEPOMUK_BIBTEX_RESOURCE_GUI_ITEM_H_

#include "genericresourceguiitem.h"

#include <QtCore/QUrl>
#include <QtGui/QPixmap>


class KJob;

namespace Nepomuk {

    class Resource;

    class BibtexResourceGuiItem : public GenericResourceGuiItem
    {
        Q_OBJECT

    public:
        BibtexResourceGuiItem( QObject* parent, const QList<QVariant>& );
        ~BibtexResourceGuiItem();
	
    protected:
        QString genericLabel( const Resource& resource );
        QString genericDescription( const Resource& resource );
        QPixmap genericPixmap( const Resource& resource, const QSize& size );
    };
}

#endif
