/*
 * This file is part of Soprano Project.
 *
 * Copyright (C) 2007 Sebastian Trueg <trueg@kde.org>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "swrc.h"

class SwrcPrivate
{
public:
    SwrcPrivate()
        : swrc_namespace( "http://purl.org/dc/elements/1.1/" ),
          swrc_contributor( "http://purl.org/dc/elements/1.1/contributor" ),
          swrc_coverage( "http://purl.org/dc/elements/1.1/coverage" ),
          swrc_creator( "http://purl.org/dc/elements/1.1/creator" ),
          swrc_date( "http://purl.org/dc/elements/1.1/date" ),
          swrc_description( "http://purl.org/dc/elements/1.1/description" ),
          swrc_format( "http://purl.org/dc/elements/1.1/format" ),
          swrc_identifier( "http://purl.org/dc/elements/1.1/identifier" ),
          swrc_language( "http://purl.org/dc/elements/1.1/language" ),
          swrc_publisher( "http://purl.org/dc/elements/1.1/publisher" ),
          swrc_relation( "http://purl.org/dc/elements/1.1/relation" ),
          swrc_rights( "http://purl.org/dc/elements/1.1/rights" ),
          swrc_source( "http://purl.org/dc/elements/1.1/source" ),
          swrc_subject( "http://purl.org/dc/elements/1.1/subject" ),
          swrc_title( "http://purl.org/dc/elements/1.1/title" ),
          swrc_type( "http://purl.org/dc/elements/1.1/type" ),
          swrc_AcademicStaff( "http://swrc.ontoware.org/ontology#AcademicStaff" ),
          swrc_AdministrativeStaff( "http://swrc.ontoware.org/ontology#AdministrativeStaff" ),
          swrc_Article( "http://swrc.ontoware.org/ontology#Article" ),
          swrc_AssistantProfessor( "http://swrc.ontoware.org/ontology#AssistantProfessor" ),
          swrc_AssociateProfessor( "http://swrc.ontoware.org/ontology#AssociateProfessor" ),
          swrc_Association( "http://swrc.ontoware.org/ontology#Association" ),
          swrc_Book( "http://swrc.ontoware.org/ontology#Book" ),
          swrc_Booklet( "http://swrc.ontoware.org/ontology#Booklet" ),
          swrc_Collection( "http://swrc.ontoware.org/ontology#Collection" ),
          swrc_Colloquium( "http://swrc.ontoware.org/ontology#Colloquium" ),
          swrc_Conference( "http://swrc.ontoware.org/ontology#Conference" ),
          swrc_Department( "http://swrc.ontoware.org/ontology#Department" ),
          swrc_DevelopmentProject( "http://swrc.ontoware.org/ontology#DevelopmentProject" ),
          swrc_DiplomaThesis( "http://swrc.ontoware.org/ontology#DiplomaThesis" ),
          swrc_Document( "http://swrc.ontoware.org/ontology#Document" ),
          swrc_Employee( "http://swrc.ontoware.org/ontology#Employee" ),
          swrc_Enterprise( "http://swrc.ontoware.org/ontology#Enterprise" ),
          swrc_Event( "http://swrc.ontoware.org/ontology#Event" ),
          swrc_ExchangeProfessor( "http://swrc.ontoware.org/ontology#ExchangeProfessor" ),
          swrc_Exhibition( "http://swrc.ontoware.org/ontology#Exhibition" ),
          swrc_FacultyMember( "http://swrc.ontoware.org/ontology#FacultyMember" ),
          swrc_FullProfessor( "http://swrc.ontoware.org/ontology#FullProfessor" ),
          swrc_Graduate( "http://swrc.ontoware.org/ontology#Graduate" ),
          swrc_GraduateClass( "http://swrc.ontoware.org/ontology#GraduateClass" ),
          swrc_HonoraryProfessor( "http://swrc.ontoware.org/ontology#HonoraryProfessor" ),
          swrc_InBook( "http://swrc.ontoware.org/ontology#InBook" ),
          swrc_InCollection( "http://swrc.ontoware.org/ontology#InCollection" ),
          swrc_InProceedings( "http://swrc.ontoware.org/ontology#InProceedings" ),
          swrc_Institute( "http://swrc.ontoware.org/ontology#Institute" ),
          swrc_Journal( "http://swrc.ontoware.org/ontology#Journal" ),
          swrc_Lecture( "http://swrc.ontoware.org/ontology#Lecture" ),
          swrc_Lecturer( "http://swrc.ontoware.org/ontology#Lecturer" ),
          swrc_Magazine( "http://swrc.ontoware.org/ontology#Magazine" ),
          swrc_Manager( "http://swrc.ontoware.org/ontology#Manager" ),
          swrc_Manual( "http://swrc.ontoware.org/ontology#Manual" ),
          swrc_MasterThesis( "http://swrc.ontoware.org/ontology#MasterThesis" ),
          swrc_Meeting( "http://swrc.ontoware.org/ontology#Meeting" ),
          swrc_Misc( "http://swrc.ontoware.org/ontology#Misc" ),
          swrc_Organization( "http://swrc.ontoware.org/ontology#Organization" ),
          swrc_Person( "http://swrc.ontoware.org/ontology#Person" ),
          swrc_PhDStudent( "http://swrc.ontoware.org/ontology#PhDStudent" ),
          swrc_PhDThesis( "http://swrc.ontoware.org/ontology#PhDThesis" ),
          swrc_Proceedings( "http://swrc.ontoware.org/ontology#Proceedings" ),
          swrc_Product( "http://swrc.ontoware.org/ontology#Product" ),
          swrc_ProfessorEmeritus( "http://swrc.ontoware.org/ontology#ProfessorEmeritus" ),
          swrc_Project( "http://swrc.ontoware.org/ontology#Project" ),
          swrc_ProjectMeeting( "http://swrc.ontoware.org/ontology#ProjectMeeting" ),
          swrc_ProjectReport( "http://swrc.ontoware.org/ontology#ProjectReport" ),
          swrc_Publication( "http://swrc.ontoware.org/ontology#Publication" ),
          swrc_Report( "http://swrc.ontoware.org/ontology#Report" ),
          swrc_ResearchGroup( "http://swrc.ontoware.org/ontology#ResearchGroup" ),
          swrc_ResearchPaper( "http://swrc.ontoware.org/ontology#ResearchPaper" ),
          swrc_ResearchProject( "http://swrc.ontoware.org/ontology#ResearchProject" ),
          swrc_ResearchTopic( "http://swrc.ontoware.org/ontology#ResearchTopic" ),
          swrc_Root( "http://swrc.ontoware.org/ontology#Root" ),
          swrc_RootRelation( "http://swrc.ontoware.org/ontology#RootRelation" ),
          swrc_Seminar( "http://swrc.ontoware.org/ontology#Seminar" ),
          swrc_SoftwareComponent( "http://swrc.ontoware.org/ontology#SoftwareComponent" ),
          swrc_SoftwareProject( "http://swrc.ontoware.org/ontology#SoftwareProject" ),
          swrc_Student( "http://swrc.ontoware.org/ontology#Student" ),
          swrc_TechnicalReport( "http://swrc.ontoware.org/ontology#TechnicalReport" ),
          swrc_TechnicalStaff( "http://swrc.ontoware.org/ontology#TechnicalStaff" ),
          swrc_Thesis( "http://swrc.ontoware.org/ontology#Thesis" ),
          swrc_Topic( "http://swrc.ontoware.org/ontology#Topic" ),
          swrc_Undergraduate( "http://swrc.ontoware.org/ontology#Undergraduate" ),
          swrc_UndergraduateAdvancedClass( "http://swrc.ontoware.org/ontology#UndergraduateAdvancedClass" ),
          swrc_UndergraduateIntermediateClass( "http://swrc.ontoware.org/ontology#UndergraduateIntermediateClass" ),
          swrc_University( "http://swrc.ontoware.org/ontology#University" ),
          swrc_Unpublished( "http://swrc.ontoware.org/ontology#Unpublished" ),
          swrc_UnrefereedArticle( "http://swrc.ontoware.org/ontology#UnrefereedArticle" ),
          swrc_VisitingProfessor( "http://swrc.ontoware.org/ontology#VisitingProfessor" ),
          swrc_Workshop( "http://swrc.ontoware.org/ontology#Workshop" ),
          swrc_abstract( "http://swrc.ontoware.org/ontology#abstract" ),
          swrc_address( "http://swrc.ontoware.org/ontology#address" ),
          swrc_affiliation( "http://swrc.ontoware.org/ontology#affiliation" ),
          swrc_atEvent( "http://swrc.ontoware.org/ontology#atEvent" ),
          swrc_carriedOutBy( "http://swrc.ontoware.org/ontology#carriedOutBy" ),
          swrc_carriesOut( "http://swrc.ontoware.org/ontology#carriesOut" ),
          swrc_chapter( "http://swrc.ontoware.org/ontology#chapter" ),
          swrc_cite( "http://swrc.ontoware.org/ontology#cite" ),
          swrc_citedBy( "http://swrc.ontoware.org/ontology#citedBy" ),
          swrc_cooperateWith( "http://swrc.ontoware.org/ontology#cooperateWith" ),
          swrc_creationDate( "http://swrc.ontoware.org/ontology#creationDate" ),
          swrc_dealtWithIn( "http://swrc.ontoware.org/ontology#dealtWithIn" ),
          swrc_describesProject( "http://swrc.ontoware.org/ontology#describesProject" ),
          swrc_developedBy( "http://swrc.ontoware.org/ontology#developedBy" ),
          swrc_develops( "http://swrc.ontoware.org/ontology#develops" ),
          swrc_edition( "http://swrc.ontoware.org/ontology#edition" ),
          swrc_editor( "http://swrc.ontoware.org/ontology#editor" ),
          swrc_email( "http://swrc.ontoware.org/ontology#email" ),
          swrc_employs( "http://swrc.ontoware.org/ontology#employs" ),
          swrc_endDate( "http://swrc.ontoware.org/ontology#endDate" ),
          swrc_eventTitle( "http://swrc.ontoware.org/ontology#eventTitle" ),
          swrc_fax( "http://swrc.ontoware.org/ontology#fax" ),
          swrc_financedBy( "http://swrc.ontoware.org/ontology#financedBy" ),
          swrc_finances( "http://swrc.ontoware.org/ontology#finances" ),
          swrc_firstName( "http://swrc.ontoware.org/ontology#firstName" ),
          swrc_givenBy( "http://swrc.ontoware.org/ontology#givenBy" ),
          swrc_hasPartEvent( "http://swrc.ontoware.org/ontology#hasPartEvent" ),
          swrc_hasParts( "http://swrc.ontoware.org/ontology#hasParts" ),
          swrc_head( "http://swrc.ontoware.org/ontology#head" ),
          swrc_headOf( "http://swrc.ontoware.org/ontology#headOf" ),
          swrc_headOfGroup( "http://swrc.ontoware.org/ontology#headOfGroup" ),
          swrc_homepage( "http://swrc.ontoware.org/ontology#homepage" ),
          swrc_howpublished( "http://swrc.ontoware.org/ontology#howpublished" ),
          swrc_institution( "http://swrc.ontoware.org/ontology#institution" ),
          swrc_isAbout( "http://swrc.ontoware.org/ontology#isAbout" ),
          swrc_isWorkedOnBy( "http://swrc.ontoware.org/ontology#isWorkedOnBy" ),
          swrc_isbn( "http://swrc.ontoware.org/ontology#isbn" ),
          swrc_journal( "http://swrc.ontoware.org/ontology#journal" ),
          swrc_keywords( "http://swrc.ontoware.org/ontology#keywords" ),
          swrc_lastName( "http://swrc.ontoware.org/ontology#lastName" ),
          swrc_location( "http://swrc.ontoware.org/ontology#location" ),
          swrc_member( "http://swrc.ontoware.org/ontology#member" ),
          swrc_memberOfPC( "http://swrc.ontoware.org/ontology#memberOfPC" ),
          swrc_month( "http://swrc.ontoware.org/ontology#month" ),
          swrc_name( "http://swrc.ontoware.org/ontology#name" ),
          swrc_note( "http://swrc.ontoware.org/ontology#note" ),
          swrc_number( "http://swrc.ontoware.org/ontology#number" ),
          swrc_organization( "http://swrc.ontoware.org/ontology#organization" ),
          swrc_organizerOrChairOf( "http://swrc.ontoware.org/ontology#organizerOrChairOf" ),
          swrc_outcomeDocument( "http://swrc.ontoware.org/ontology#outcomeDocument" ),
          swrc_outcomeProduct( "http://swrc.ontoware.org/ontology#outcomeProduct" ),
          swrc_pages( "http://swrc.ontoware.org/ontology#pages" ),
          swrc_participant( "http://swrc.ontoware.org/ontology#participant" ),
          swrc_phone( "http://swrc.ontoware.org/ontology#phone" ),
          swrc_photo( "http://swrc.ontoware.org/ontology#photo" ),
          swrc_price( "http://swrc.ontoware.org/ontology#price" ),
          swrc_product( "http://swrc.ontoware.org/ontology#product" ),
          swrc_projectInfo( "http://swrc.ontoware.org/ontology#projectInfo" ),
          swrc_publication( "http://swrc.ontoware.org/ontology#publication" ),
          swrc_publisherOf( "http://swrc.ontoware.org/ontology#publisherOf" ),
          swrc_school( "http://swrc.ontoware.org/ontology#school" ),
          swrc_series( "http://swrc.ontoware.org/ontology#series" ),
          swrc_startDate( "http://swrc.ontoware.org/ontology#startDate" ),
          swrc_status( "http://swrc.ontoware.org/ontology#status" ),
          swrc_student( "http://swrc.ontoware.org/ontology#student" ),
          swrc_studiesAt( "http://swrc.ontoware.org/ontology#studiesAt" ),
          swrc_supervises( "http://swrc.ontoware.org/ontology#supervises" ),
          swrc_supervisor( "http://swrc.ontoware.org/ontology#supervisor" ),
          swrc_technicalReport( "http://swrc.ontoware.org/ontology#technicalReport" ),
          swrc_vendor( "http://swrc.ontoware.org/ontology#vendor" ),
          swrc_volume( "http://swrc.ontoware.org/ontology#volume" ),
          swrc_worksAtProject( "http://swrc.ontoware.org/ontology#worksAtProject" ),
          swrc_year( "http://swrc.ontoware.org/ontology#year" ) {
    }

    QUrl swrc_namespace;
    QUrl swrc_contributor;
    QUrl swrc_coverage;
    QUrl swrc_creator;
    QUrl swrc_date;
    QUrl swrc_description;
    QUrl swrc_format;
    QUrl swrc_identifier;
    QUrl swrc_language;
    QUrl swrc_publisher;
    QUrl swrc_relation;
    QUrl swrc_rights;
    QUrl swrc_source;
    QUrl swrc_subject;
    QUrl swrc_title;
    QUrl swrc_type;
    QUrl swrc_AcademicStaff;
    QUrl swrc_AdministrativeStaff;
    QUrl swrc_Article;
    QUrl swrc_AssistantProfessor;
    QUrl swrc_AssociateProfessor;
    QUrl swrc_Association;
    QUrl swrc_Book;
    QUrl swrc_Booklet;
    QUrl swrc_Collection;
    QUrl swrc_Colloquium;
    QUrl swrc_Conference;
    QUrl swrc_Department;
    QUrl swrc_DevelopmentProject;
    QUrl swrc_DiplomaThesis;
    QUrl swrc_Document;
    QUrl swrc_Employee;
    QUrl swrc_Enterprise;
    QUrl swrc_Event;
    QUrl swrc_ExchangeProfessor;
    QUrl swrc_Exhibition;
    QUrl swrc_FacultyMember;
    QUrl swrc_FullProfessor;
    QUrl swrc_Graduate;
    QUrl swrc_GraduateClass;
    QUrl swrc_HonoraryProfessor;
    QUrl swrc_InBook;
    QUrl swrc_InCollection;
    QUrl swrc_InProceedings;
    QUrl swrc_Institute;
    QUrl swrc_Journal;
    QUrl swrc_Lecture;
    QUrl swrc_Lecturer;
    QUrl swrc_Magazine;
    QUrl swrc_Manager;
    QUrl swrc_Manual;
    QUrl swrc_MasterThesis;
    QUrl swrc_Meeting;
    QUrl swrc_Misc;
    QUrl swrc_Organization;
    QUrl swrc_Person;
    QUrl swrc_PhDStudent;
    QUrl swrc_PhDThesis;
    QUrl swrc_Proceedings;
    QUrl swrc_Product;
    QUrl swrc_ProfessorEmeritus;
    QUrl swrc_Project;
    QUrl swrc_ProjectMeeting;
    QUrl swrc_ProjectReport;
    QUrl swrc_Publication;
    QUrl swrc_Report;
    QUrl swrc_ResearchGroup;
    QUrl swrc_ResearchPaper;
    QUrl swrc_ResearchProject;
    QUrl swrc_ResearchTopic;
    QUrl swrc_Root;
    QUrl swrc_RootRelation;
    QUrl swrc_Seminar;
    QUrl swrc_SoftwareComponent;
    QUrl swrc_SoftwareProject;
    QUrl swrc_Student;
    QUrl swrc_TechnicalReport;
    QUrl swrc_TechnicalStaff;
    QUrl swrc_Thesis;
    QUrl swrc_Topic;
    QUrl swrc_Undergraduate;
    QUrl swrc_UndergraduateAdvancedClass;
    QUrl swrc_UndergraduateIntermediateClass;
    QUrl swrc_University;
    QUrl swrc_Unpublished;
    QUrl swrc_UnrefereedArticle;
    QUrl swrc_VisitingProfessor;
    QUrl swrc_Workshop;
    QUrl swrc_abstract;
    QUrl swrc_address;
    QUrl swrc_affiliation;
    QUrl swrc_atEvent;
    QUrl swrc_carriedOutBy;
    QUrl swrc_carriesOut;
    QUrl swrc_chapter;
    QUrl swrc_cite;
    QUrl swrc_citedBy;
    QUrl swrc_cooperateWith;
    QUrl swrc_creationDate;
    QUrl swrc_dealtWithIn;
    QUrl swrc_describesProject;
    QUrl swrc_developedBy;
    QUrl swrc_develops;
    QUrl swrc_edition;
    QUrl swrc_editor;
    QUrl swrc_email;
    QUrl swrc_employs;
    QUrl swrc_endDate;
    QUrl swrc_eventTitle;
    QUrl swrc_fax;
    QUrl swrc_financedBy;
    QUrl swrc_finances;
    QUrl swrc_firstName;
    QUrl swrc_givenBy;
    QUrl swrc_hasPartEvent;
    QUrl swrc_hasParts;
    QUrl swrc_head;
    QUrl swrc_headOf;
    QUrl swrc_headOfGroup;
    QUrl swrc_homepage;
    QUrl swrc_howpublished;
    QUrl swrc_institution;
    QUrl swrc_isAbout;
    QUrl swrc_isWorkedOnBy;
    QUrl swrc_isbn;
    QUrl swrc_journal;
    QUrl swrc_keywords;
    QUrl swrc_lastName;
    QUrl swrc_location;
    QUrl swrc_member;
    QUrl swrc_memberOfPC;
    QUrl swrc_month;
    QUrl swrc_name;
    QUrl swrc_note;
    QUrl swrc_number;
    QUrl swrc_organization;
    QUrl swrc_organizerOrChairOf;
    QUrl swrc_outcomeDocument;
    QUrl swrc_outcomeProduct;
    QUrl swrc_pages;
    QUrl swrc_participant;
    QUrl swrc_phone;
    QUrl swrc_photo;
    QUrl swrc_price;
    QUrl swrc_product;
    QUrl swrc_projectInfo;
    QUrl swrc_publication;
    QUrl swrc_publisherOf;
    QUrl swrc_school;
    QUrl swrc_series;
    QUrl swrc_startDate;
    QUrl swrc_status;
    QUrl swrc_student;
    QUrl swrc_studiesAt;
    QUrl swrc_supervises;
    QUrl swrc_supervisor;
    QUrl swrc_technicalReport;
    QUrl swrc_vendor;
    QUrl swrc_volume;
    QUrl swrc_worksAtProject;
    QUrl swrc_year;
};

Q_GLOBAL_STATIC( SwrcPrivate, s_swrc )

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::swrcNamespace()
{
    return s_swrc()->swrc_namespace;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::contributor()
{
    return s_swrc()->swrc_contributor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::coverage()
{
    return s_swrc()->swrc_coverage;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::creator()
{
    return s_swrc()->swrc_creator;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::date()
{
    return s_swrc()->swrc_date;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::description()
{
    return s_swrc()->swrc_description;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::format()
{
    return s_swrc()->swrc_format;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::identifier()
{
    return s_swrc()->swrc_identifier;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::language()
{
    return s_swrc()->swrc_language;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::publisher()
{
    return s_swrc()->swrc_publisher;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::relation()
{
    return s_swrc()->swrc_relation;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::rights()
{
    return s_swrc()->swrc_rights;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::source()
{
    return s_swrc()->swrc_source;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::subject()
{
    return s_swrc()->swrc_subject;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::title()
{
    return s_swrc()->swrc_title;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::type()
{
    return s_swrc()->swrc_type;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::AcademicStaff()
{
    return s_swrc()->swrc_AcademicStaff;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::AdministrativeStaff()
{
    return s_swrc()->swrc_AdministrativeStaff;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Article()
{
    return s_swrc()->swrc_Article;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::AssistantProfessor()
{
    return s_swrc()->swrc_AssistantProfessor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::AssociateProfessor()
{
    return s_swrc()->swrc_AssociateProfessor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Association()
{
    return s_swrc()->swrc_Association;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Book()
{
    return s_swrc()->swrc_Book;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Booklet()
{
    return s_swrc()->swrc_Booklet;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Collection()
{
    return s_swrc()->swrc_Collection;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Colloquium()
{
    return s_swrc()->swrc_Colloquium;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Conference()
{
    return s_swrc()->swrc_Conference;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Department()
{
    return s_swrc()->swrc_Department;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::DevelopmentProject()
{
    return s_swrc()->swrc_DevelopmentProject;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::DiplomaThesis()
{
    return s_swrc()->swrc_DiplomaThesis;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Document()
{
    return s_swrc()->swrc_Document;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Employee()
{
    return s_swrc()->swrc_Employee;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Enterprise()
{
    return s_swrc()->swrc_Enterprise;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Event()
{
    return s_swrc()->swrc_Event;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::ExchangeProfessor()
{
    return s_swrc()->swrc_ExchangeProfessor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Exhibition()
{
    return s_swrc()->swrc_Exhibition;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::FacultyMember()
{
    return s_swrc()->swrc_FacultyMember;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::FullProfessor()
{
    return s_swrc()->swrc_FullProfessor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Graduate()
{
    return s_swrc()->swrc_Graduate;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::GraduateClass()
{
    return s_swrc()->swrc_GraduateClass;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::HonoraryProfessor()
{
    return s_swrc()->swrc_HonoraryProfessor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::InBook()
{
    return s_swrc()->swrc_InBook;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::InCollection()
{
    return s_swrc()->swrc_InCollection;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::InProceedings()
{
    return s_swrc()->swrc_InProceedings;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Institute()
{
    return s_swrc()->swrc_Institute;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Journal()
{
    return s_swrc()->swrc_Journal;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Lecture()
{
    return s_swrc()->swrc_Lecture;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Lecturer()
{
    return s_swrc()->swrc_Lecturer;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Magazine()
{
    return s_swrc()->swrc_Magazine;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Manager()
{
    return s_swrc()->swrc_Manager;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Manual()
{
    return s_swrc()->swrc_Manual;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::MasterThesis()
{
    return s_swrc()->swrc_MasterThesis;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Meeting()
{
    return s_swrc()->swrc_Meeting;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Misc()
{
    return s_swrc()->swrc_Misc;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Organization()
{
    return s_swrc()->swrc_Organization;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Person()
{
    return s_swrc()->swrc_Person;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::PhDStudent()
{
    return s_swrc()->swrc_PhDStudent;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::PhDThesis()
{
    return s_swrc()->swrc_PhDThesis;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Proceedings()
{
    return s_swrc()->swrc_Proceedings;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Product()
{
    return s_swrc()->swrc_Product;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::ProfessorEmeritus()
{
    return s_swrc()->swrc_ProfessorEmeritus;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Project()
{
    return s_swrc()->swrc_Project;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::ProjectMeeting()
{
    return s_swrc()->swrc_ProjectMeeting;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::ProjectReport()
{
    return s_swrc()->swrc_ProjectReport;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Publication()
{
    return s_swrc()->swrc_Publication;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Report()
{
    return s_swrc()->swrc_Report;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::ResearchGroup()
{
    return s_swrc()->swrc_ResearchGroup;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::ResearchPaper()
{
    return s_swrc()->swrc_ResearchPaper;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::ResearchProject()
{
    return s_swrc()->swrc_ResearchProject;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::ResearchTopic()
{
    return s_swrc()->swrc_ResearchTopic;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Root()
{
    return s_swrc()->swrc_Root;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::RootRelation()
{
    return s_swrc()->swrc_RootRelation;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Seminar()
{
    return s_swrc()->swrc_Seminar;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::SoftwareComponent()
{
    return s_swrc()->swrc_SoftwareComponent;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::SoftwareProject()
{
    return s_swrc()->swrc_SoftwareProject;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Student()
{
    return s_swrc()->swrc_Student;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::TechnicalReport()
{
    return s_swrc()->swrc_TechnicalReport;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::TechnicalStaff()
{
    return s_swrc()->swrc_TechnicalStaff;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Thesis()
{
    return s_swrc()->swrc_Thesis;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Topic()
{
    return s_swrc()->swrc_Topic;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Undergraduate()
{
    return s_swrc()->swrc_Undergraduate;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::UndergraduateAdvancedClass()
{
    return s_swrc()->swrc_UndergraduateAdvancedClass;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::UndergraduateIntermediateClass()
{
    return s_swrc()->swrc_UndergraduateIntermediateClass;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::University()
{
    return s_swrc()->swrc_University;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Unpublished()
{
    return s_swrc()->swrc_Unpublished;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::UnrefereedArticle()
{
    return s_swrc()->swrc_UnrefereedArticle;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::VisitingProfessor()
{
    return s_swrc()->swrc_VisitingProfessor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::Workshop()
{
    return s_swrc()->swrc_Workshop;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::abstract()
{
    return s_swrc()->swrc_abstract;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::address()
{
    return s_swrc()->swrc_address;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::affiliation()
{
    return s_swrc()->swrc_affiliation;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::atEvent()
{
    return s_swrc()->swrc_atEvent;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::carriedOutBy()
{
    return s_swrc()->swrc_carriedOutBy;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::carriesOut()
{
    return s_swrc()->swrc_carriesOut;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::chapter()
{
    return s_swrc()->swrc_chapter;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::cite()
{
    return s_swrc()->swrc_cite;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::citedBy()
{
    return s_swrc()->swrc_citedBy;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::cooperateWith()
{
    return s_swrc()->swrc_cooperateWith;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::creationDate()
{
    return s_swrc()->swrc_creationDate;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::dealtWithIn()
{
    return s_swrc()->swrc_dealtWithIn;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::describesProject()
{
    return s_swrc()->swrc_describesProject;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::developedBy()
{
    return s_swrc()->swrc_developedBy;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::develops()
{
    return s_swrc()->swrc_develops;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::edition()
{
    return s_swrc()->swrc_edition;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::editor()
{
    return s_swrc()->swrc_editor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::email()
{
    return s_swrc()->swrc_email;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::employs()
{
    return s_swrc()->swrc_employs;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::endDate()
{
    return s_swrc()->swrc_endDate;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::eventTitle()
{
    return s_swrc()->swrc_eventTitle;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::fax()
{
    return s_swrc()->swrc_fax;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::financedBy()
{
    return s_swrc()->swrc_financedBy;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::finances()
{
    return s_swrc()->swrc_finances;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::firstName()
{
    return s_swrc()->swrc_firstName;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::givenBy()
{
    return s_swrc()->swrc_givenBy;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::hasPartEvent()
{
    return s_swrc()->swrc_hasPartEvent;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::hasParts()
{
    return s_swrc()->swrc_hasParts;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::head()
{
    return s_swrc()->swrc_head;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::headOf()
{
    return s_swrc()->swrc_headOf;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::headOfGroup()
{
    return s_swrc()->swrc_headOfGroup;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::homepage()
{
    return s_swrc()->swrc_homepage;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::howpublished()
{
    return s_swrc()->swrc_howpublished;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::institution()
{
    return s_swrc()->swrc_institution;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::isAbout()
{
    return s_swrc()->swrc_isAbout;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::isWorkedOnBy()
{
    return s_swrc()->swrc_isWorkedOnBy;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::isbn()
{
    return s_swrc()->swrc_isbn;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::journal()
{
    return s_swrc()->swrc_journal;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::keywords()
{
    return s_swrc()->swrc_keywords;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::lastName()
{
    return s_swrc()->swrc_lastName;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::location()
{
    return s_swrc()->swrc_location;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::member()
{
    return s_swrc()->swrc_member;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::memberOfPC()
{
    return s_swrc()->swrc_memberOfPC;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::month()
{
    return s_swrc()->swrc_month;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::name()
{
    return s_swrc()->swrc_name;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::note()
{
    return s_swrc()->swrc_note;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::number()
{
    return s_swrc()->swrc_number;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::organization()
{
    return s_swrc()->swrc_organization;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::organizerOrChairOf()
{
    return s_swrc()->swrc_organizerOrChairOf;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::outcomeDocument()
{
    return s_swrc()->swrc_outcomeDocument;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::outcomeProduct()
{
    return s_swrc()->swrc_outcomeProduct;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::pages()
{
    return s_swrc()->swrc_pages;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::participant()
{
    return s_swrc()->swrc_participant;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::phone()
{
    return s_swrc()->swrc_phone;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::photo()
{
    return s_swrc()->swrc_photo;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::price()
{
    return s_swrc()->swrc_price;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::product()
{
    return s_swrc()->swrc_product;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::projectInfo()
{
    return s_swrc()->swrc_projectInfo;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::publication()
{
    return s_swrc()->swrc_publication;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::publisherOf()
{
    return s_swrc()->swrc_publisherOf;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::school()
{
    return s_swrc()->swrc_school;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::series()
{
    return s_swrc()->swrc_series;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::startDate()
{
    return s_swrc()->swrc_startDate;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::status()
{
    return s_swrc()->swrc_status;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::student()
{
    return s_swrc()->swrc_student;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::studiesAt()
{
    return s_swrc()->swrc_studiesAt;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::supervises()
{
    return s_swrc()->swrc_supervises;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::supervisor()
{
    return s_swrc()->swrc_supervisor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::technicalReport()
{
    return s_swrc()->swrc_technicalReport;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::vendor()
{
    return s_swrc()->swrc_vendor;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::volume()
{
    return s_swrc()->swrc_volume;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::worksAtProject()
{
    return s_swrc()->swrc_worksAtProject;
}

QUrl Nepomuk::Vocabulary::Ontoware::SWRC::year()
{
    return s_swrc()->swrc_year;
}
