#ifndef ACTIONBUTTON_H
#define ACTIONBUTTON_H

#include <QtGui>

class ActionButton : public QObject, public QGraphicsItem
{

	Q_OBJECT

public:
	ActionButton(const QIcon& icon, const QString& label, QGraphicsItem* parent = 0);
	~ActionButton();

	void paint(QPainter* painter, const QStyleOptionGraphicsItem* option, QWidget* widget = 0);
	QRectF boundingRect() const;

	QString label();

	void setColor(const QColor& color);

	// Allow access to constants in planet.cpp
	static float radius();
	static float margin();

Q_SIGNALS:
	void clicked();
	void mouseOver();
	void mouseOut();

private:
	QPixmap m_icon;
	QString m_label;

	QPen m_pen;
	QBrush m_brush;

protected:
	void mousePressEvent(QGraphicsSceneMouseEvent* event);
	void mouseReleaseEvent(QGraphicsSceneMouseEvent* event);
	void hoverEnterEvent(QGraphicsSceneHoverEvent* event);
	void hoverLeaveEvent(QGraphicsSceneHoverEvent* event);
};

#endif
