#ifndef INFOPANEL_H
#define INFOPANEL_H

#include <QtGui>
#include "annotationresource.h"

class KRatingWidget;
namespace Nepomuk {
	class TagWidget;
}

class InfoPanel : public QObject, public QGraphicsItem
{
	Q_OBJECT

public:
	InfoPanel(QGraphicsItem* parent = 0);

	void paint(QPainter* painter, const QStyleOptionGraphicsItem* option, QWidget* widget = 0);
	QRectF boundingRect() const;

	void showPanel();
	void hidePanel();
	bool visible() const;

	void setResource(const Nepomuk::AnnotationResource& resource);

	static float tabWidth();

private:
	QGraphicsPixmapItem* m_infoIcon;

	QGraphicsPixmapItem* m_showIcon; // Little arrow icon
	QPixmap m_showArrow;
	QPixmap m_hideArrow;

	QGraphicsPixmapItem* m_resourceIcon;
	QGraphicsSimpleTextItem* m_resourceTitle;
	QGraphicsSimpleTextItem* m_resourceDesc;
	KRatingWidget* m_ratingWidget;
	Nepomuk::TagWidget* m_tagWidget;

	QPen m_pen;
	QBrush m_brush;

	bool m_visible;

	QGraphicsItemAnimation* m_showHideAnimation;
	QPointF m_initialPos; // Position before the last call to showPanel(), used to restore it with hidePanel()

	Nepomuk::AnnotationResource m_resource;

private Q_SLOTS:
	void ratingChanged(int rating);

protected:
	void mousePressEvent(QGraphicsSceneMouseEvent* event);
	void mouseReleaseEvent(QGraphicsSceneMouseEvent* event);
};

#endif

