#include <QtGui>
#include <KApplication>
#include <KCmdLineArgs>
#include <KAboutData>
#include <kguiitem.h>
#include <kpushbutton.h>

#include "resourceinspector.h"

int main(int argc, char **argv)
{
	KAboutData aboutData("nepomuk-resource-inspector",
                         0,
                         ki18n("Nepomuk resource inspector"),
                         "0.1",
                         ki18n("Browse and run Nepomuk resources"),
                         KAboutData::License_GPL,
                         ki18n("Adrien Bustany"),
                         KLocalizedString());
	aboutData.setProgramIconName("nepomuk");
	KCmdLineArgs::init(argc, argv, &aboutData);

	KCmdLineOptions options;
	options.add("+uri", ki18n("The resource to inspect"));
	KCmdLineArgs::addCmdLineOptions(options);

	KApplication app;

	KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
	if(args->count() != 1) {
		qDebug() << "Usage :" << args->appName() << "uri";
		return 1;
	}

	ResourceInspector i;
	i.setResource(QUrl(args->arg(0)));
	i.show();
	args->clear();

	return app.exec();
}
